/*  
	BeOS Front-end of PDF file reader xpdf.
    Copyright (C) 1997 Benoit Triquet
    Copyright (C) 1998-99 Hubert Figuiere
	Copyright (C) 2000 Michael Pfeiffer
	
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#include "History.h"

History::~History() {
	MakeEmpty();
}

void History::MakeEmpty() {
	list.MakeEmpty();
}

bool History::Back() {
int32 elems = GetElements();
	if (elems != 0) {
		list.RemoveItem(elems - 1);
		return true;
	} else {
		return false;
	}
	
}

void History::Add(int page) {
	list.AddItem((void*)page);
}

int History::GetTop() {
void *elem = list.ItemAt(GetElements()-1);
	return (int)elem;
}
